<script lang="ts">
export default {
  props: ['value', 'color'],
  data() {
    return {
      name: "Test"
    }
  },
  methods: {
    clickHandler() {
      this.$emit('btn-click');
    }
  }
}
</script>

<template>
  <button :style="{ color: color }" @click="clickHandler()" class="btn btn-component">{{  name  }} {{  value  }}</button>
</template>

<style>
button.btn.btn-component {
  border-radius: 12px;
  padding: 10px 20px;
  border: none;
  background: #000000;
  text-transform: uppercase;
}
</style>
